Package Base Details: lib32-libdbusmenu

Git Clone URL: https://aur.archlinux.org/lib32-libdbusmenu.git (read-only)
Submitter: ImNtReal
Maintainer: SunRed
Last Packager: SunRed
Votes: 76
Popularity: 1.112581
First Submitted: 2015-03-22 14:49
Last Updated: 2016-05-11 22:26

Latest Comments

SunRed commented on 2016-08-12 10:48

@jose1711 Well, you have to install the libdbusmenu (split) package before continuing: https://aur.archlinux.org/pkgbase/libdbusmenu/

jose1711 commented on 2016-08-10 20:54

any idea what i am doing wrong here?

==> Continue installing lib32-libdbusmenu ? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ---------------------------------------------------
==>

loading packages...
resolving dependencies...
warning: cannot resolve "libdbusmenu-glib", a dependency of "lib32-libdbusmenu-glib"
warning: cannot resolve "libdbusmenu-glib", a dependency of "lib32-libdbusmenu-glib"
warning: cannot resolve "lib32-libdbusmenu-glib", a dependency of "lib32-libdbusmenu-gtk2"
warning: cannot resolve "libdbusmenu-gtk2", a dependency of "lib32-libdbusmenu-gtk2"
warning: cannot resolve "libdbusmenu-glib", a dependency of "lib32-libdbusmenu-glib"
warning: cannot resolve "lib32-libdbusmenu-glib", a dependency of "lib32-libdbusmenu-gtk3"
warning: cannot resolve "libdbusmenu-gtk3", a dependency of "lib32-libdbusmenu-gtk3"
:: The following packages cannot be upgraded due to unresolvable dependencies:
lib32-libdbusmenu-glib lib32-libdbusmenu-gtk2 lib32-libdbusmenu-gtk3

:: Do you want to skip the above packages for this upgrade? [y/N] n
error: failed to prepare transaction (could not satisfy dependencies)
:: lib32-libdbusmenu-glib: requires libdbusmenu-glib
:: lib32-libdbusmenu-glib: requires libdbusmenu-glib
:: lib32-libdbusmenu-gtk2: requires lib32-libdbusmenu-glib
:: lib32-libdbusmenu-gtk2: requires libdbusmenu-gtk2
:: lib32-libdbusmenu-glib: requires libdbusmenu-glib
:: lib32-libdbusmenu-gtk3: requires lib32-libdbusmenu-glib
:: lib32-libdbusmenu-gtk3: requires libdbusmenu-gtk3

SunRed commented on 2016-05-11 22:31

@yurikoles Sorry for not answering back then, I just saw your comment now (maybe I overlooked the notification email).
Does this error still occur? It builds just fine in my case.

yurikoles commented on 2016-03-23 10:53

/usr/lib32/glib-2.0/include/glibconfig.h:122:0: error: "G_CAN_INLINE" redefined [-Werror]
#define G_CAN_INLINE 1
^

https://gist.github.com/yurikoles/38c6677b2687da21d767

SunRed commented on 2016-03-16 15:00

@FadeMind
Okay, I will change it again and update the package.
I guess it only built in my case correctly in parallel mode.

FadeMind commented on 2016-03-16 14:55

make -j1 solved issue.

SunRed commented on 2016-03-16 14:51

@FadeMind
Have you tried using "make -j1" again?

FadeMind commented on 2016-03-16 14:39

(..)

make[2]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-glib'
make[1]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-glib'
make: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-glib'
make: Entering directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
make install-am
make[1]: Entering directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
make[2]: Entering directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
/usr/bin/mkdir -p '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/mkdir -p '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/mkdir -p '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/lib32/pkgconfig'
/usr/bin/install -c -m 644 dbusmenu-gtk.h client.h menu.h menuitem.h parser.h '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/install -c -m 644 dbusmenu-gtk.h client.h menu.h menuitem.h parser.h '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/'
/usr/bin/install: cannot create regular file '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/dbusmenu-gtk.h': File exists
/usr/bin/install -c -m 644 dbusmenu-gtk3-0.4.pc '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/lib32/pkgconfig'
/usr/bin/install: cannot create regular file '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/client.h': File exists
/usr/bin/install: cannot change permissions of '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/menu.h': No such file or directory
Makefile:874: recipe for target 'install-libdbusmenu_gtk3includeHEADERS' failed
make[2]: *** [install-libdbusmenu_gtk3includeHEADERS] Error 1
make[2]: *** Waiting for unfinished jobs....
Makefile:895: recipe for target 'install-libdbusmenu_gtkincludeHEADERS' failed
make[2]: *** [install-libdbusmenu_gtkincludeHEADERS] Error 1
make[2]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
Makefile:1013: recipe for target 'install-am' failed
make[1]: *** [install-am] Error 2
make[1]: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
Makefile:1007: recipe for target 'install' failed
make: *** [install] Error 2
make: Leaving directory '/tmp/makepkg/lib32-libdbusmenu/src/lib32-libdbusmenu-gtk3/libdbusmenu-gtk'
==> ERROR: A failure occurred in package_lib32-libdbusmenu-gtk3().

------------------------------
/usr/bin/install: cannot change permissions of '/tmp/makepkg/lib32-libdbusmenu/pkg/lib32-libdbusmenu-gtk3/usr/include/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/menu.h': No such file or directory
------------------------------

SunRed commented on 2016-02-10 12:15

@WoefulDerelict Thank you and greetings back!

WoefulDerelict commented on 2016-02-09 16:58

Greetings from libdusmenu. A user has pointed out that docbook-xsl is a necessary make dependency of this package and it will fail to build if it isn't installed.

All comments